Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2012-6060

Overview

Vulnerability Score 5.0 5.0
CVE Id CVE-2012-6060
Last Modified 19 Apr 2014 12:29:20
Published 05 Dec 2012 06:57:20
Confidentiality Impact NONE NONE
Integrity Impact NONE NONE
Availability Impact PARTIAL PARTIAL
Access Vector NETWORK
Access Complexity LOW
Authentication NONE

CVE-2012-6060

Summary

Integer overflow in the dissect_iscsi_pdu function in epan/dissectors/packet-iscsi.c in the iSCSI dissector in Wireshark 1.6.x before 1.6.12 and 1.8.x before 1.8.4 allows remote attackers to cause a denial of service (infinite loop) via a malformed packet.

Vulnerable Systems

Application

  • Wireshark 1.6.0

  • Wireshark 1.6.1

  • Wireshark 1.6.10

  • Wireshark 1.6.11

  • Wireshark 1.6.2

  • Wireshark 1.6.3

  • Wireshark 1.6.4

  • Wireshark 1.6.5

  • Wireshark 1.6.6

  • Wireshark 1.6.7

  • Wireshark 1.6.8

  • Wireshark 1.6.9

  • Wireshark 1.8.0

  • Wireshark 1.8.1

  • Wireshark 1.8.2

  • Wireshark 1.8.3


References

CONFIRM - https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7858

CONFIRM - http://anonsvn.wireshark.org/viewvc?view=revision&revision=45524

CONFIRM - http://anonsvn.wireshark.org/viewvc/trunk/epan/dissectors/packet-iscsi.c?r1=45524&r2=45523&pathrev=45524

CONFIRM - http://www.wireshark.org/security/wnpa-sec-2012-36.html

SUSE - openSUSE-SU-2013:0151

SUSE - openSUSE-SU-2012:1633

REDHAT - RHSA-2014:0341


Last Updated: 27 May 2016 11:01:26